package com.pqs9200.mapper.advanced;

import com.pqs9200.pojo.data.SvgCalucateInfo;
import com.pqs9200.pojo.data.SvgCells;
import com.pqs9200.pojo.data.SvgSensitivePoint;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SvgMapper {

    SvgCells getSvgCells(@Param("cellId") Integer cellId);

    int saveCell(SvgCells svgCells);

    int updateCell(SvgCells svgCells);

    List<Integer> getAllCellsId();

    void deleteCell(@Param("list") List<Integer> list);

    List<SvgCells> getAllCells();

    int saveSensitivePoint(SvgSensitivePoint svgSensitivePoint);

    List<SvgCalucateInfo> getAllCalucateInfo();

    int deleteCalucateInfo(@Param("index") String index);
}
